import { Person } from '../../../../domain/entities/ecosystem/person';

const DEFAULT_IDENTIFIER = 0;
const MARGIN_DURATION = 900;

describe('Person entity', () => {
  it('should be defined', () => {
    const person = new Person(
      {
        identifier: 1,
      },
      DEFAULT_IDENTIFIER,
      MARGIN_DURATION,
    );
    expect(person).toBeDefined();
  });

  describe('init', () => {
    it('should initialize a person with an identifier', () => {
      const person = new Person(
        {
          identifier: 1,
        },
        DEFAULT_IDENTIFIER,
        MARGIN_DURATION,
      );
      person.init();
      expect(person.identifier).toBe(1);
      expect(person.marginDurations[0]).toBe(900);
      expect(person.marginDurations[6]).toBe(900);
    });
    it('should initialize a person without an identifier', () => {
      const person = new Person({}, DEFAULT_IDENTIFIER, MARGIN_DURATION);
      person.init();
      expect(person.identifier).toBe(0);
      expect(person.marginDurations[0]).toBe(900);
      expect(person.marginDurations[6]).toBe(900);
    });
  });
});
